/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 */

/**
 * Defines all selectors that are used in customers address add/edit form.
 */
export default {
  addressEmailInput: '#customer_address_customer_email',
  addressFirstnameInput: '#customer_address_first_name',
  addressLastnameInput: '#customer_address_last_name',
  addressCompanyInput: '#customer_address_company',
  addressCountrySelect: '#customer_address_id_country',
  addressStateSelect: '#customer_address_id_state',
  addressStateBlock: '.js-address-state-select',
  addressDniInput: '#customer_address_dni',
  addressDniInputLabel: 'label[for="customer_address_dni"]',
  addressPostcodeInput: '#customer_address_postcode',
  addressPostcodeInputLabel: 'label[for="customer_address_postcode"]',
};
